Debian Bug report logs - #679756
migemo-el: fails to upgrade from 'squeeze' - trying to overwrite /usr/share/emacs/site-lisp/migemo/migemo.el

version graph

Package: migemo-el; Maintainer for migemo-el is Youhei SASAKI <uwabami@gfd-dennou.org>; Source for migemo-el is src:cmigemo.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Sun, 1 Jul 2012 11:12:06 UTC

Severity: serious

Found in version cmigemo/20110227-5

Fixed in version cmigemo/20110227-6

Done: Youhei SASAKI <uwabami@gfd-dennou.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug#679756; Package migemo-el. (Sun, 01 Jul 2012 11:12:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Youhei SASAKI <uwabami@gfd-dennou.org>. (Sun, 01 Jul 2012 11:13:43 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: migemo-el: fails to upgrade from 'squeeze' - trying to overwrite /usr/share/emacs/site-lisp/migemo/migemo.el
Date: Sun, 01 Jul 2012 13:05:28 +0200
[Message part 1 (text/plain, inline)]
Package: migemo-el
Version: 20110227-5
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package fails to upgrade from
'squeeze'.
It installed fine in 'squeeze', then the upgrade to 'sid' fails
because it tries to overwrite files that are owned by other packages
without declaring a Breaks/Replaces relation.

See policy 7.6 at
http://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces

This problem is exposed during the upgrade of the 'migemo'
package, not by upgrading only the buggy package itself.
In order to have piuparts automatically track this problem, I'll mark
this bug as Affects/Found in the exposing package(s), too.

>From the attached log (scroll to the bottom...):

  Selecting previously unselected package migemo-el.
  Unpacking migemo-el (from .../migemo-el_20110227-5_all.deb) ...
  dpkg: error processing /var/cache/apt/archives/migemo-el_20110227-5_all.deb (--unpack):
   trying to overwrite '/usr/share/emacs/site-lisp/migemo/migemo.el', which is also in package migemo 0.40-10
  configured to not write apport reports
  Preparing to replace migemo 0.40-10 (using .../migemo_20110227-5_all.deb) ...
  Remove migemo for emacs
  Unpacking replacement migemo ...


cheers,

Andreas
[migemo_20110227-5.log.gz (application/x-gzip, attachment)]

Added indication that 679756 affects migemo Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 01 Jul 2012 11:40:12 GMT) Full text and rfc822 format available.

Reply sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
You have taken responsibility. (Mon, 02 Jul 2012 16:06:03 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Mon, 02 Jul 2012 16:06:13 GMT) Full text and rfc822 format available.

Message #12 received at 679756-close@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: 679756-close@bugs.debian.org
Subject: Bug#679756: fixed in cmigemo 20110227-6
Date: Mon, 02 Jul 2012 16:02:20 +0000
Source: cmigemo
Source-Version: 20110227-6

We believe that the bug you reported is fixed in the latest version of
cmigemo, which is due to be installed in the Debian FTP archive:

cmigemo-common_20110227-6_all.deb
  to main/c/cmigemo/cmigemo-common_20110227-6_all.deb
cmigemo_20110227-6.debian.tar.gz
  to main/c/cmigemo/cmigemo_20110227-6.debian.tar.gz
cmigemo_20110227-6.dsc
  to main/c/cmigemo/cmigemo_20110227-6.dsc
cmigemo_20110227-6_amd64.deb
  to main/c/cmigemo/cmigemo_20110227-6_amd64.deb
libmigemo-dbg_20110227-6_amd64.deb
  to main/c/cmigemo/libmigemo-dbg_20110227-6_amd64.deb
libmigemo-dev_20110227-6_amd64.deb
  to main/c/cmigemo/libmigemo-dev_20110227-6_amd64.deb
libmigemo1_20110227-6_amd64.deb
  to main/c/cmigemo/libmigemo1_20110227-6_amd64.deb
migemo-el_20110227-6_all.deb
  to main/c/cmigemo/migemo-el_20110227-6_all.deb
migemo_20110227-6_all.deb
  to main/c/cmigemo/migemo_20110227-6_all.deb
vim-migemo_20110227-6_all.deb
  to main/c/cmigemo/vim-migemo_20110227-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679756@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Youhei SASAKI <uwabami@gfd-dennou.org> (supplier of updated cmigemo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 02 Jul 2012 13:48:43 +0100
Source: cmigemo
Binary: vim-migemo cmigemo-common migemo-el cmigemo libmigemo1 libmigemo-dev libmigemo-dbg migemo
Architecture: source all amd64
Version: 20110227-6
Distribution: unstable
Urgency: low
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Changed-By: Youhei SASAKI <uwabami@gfd-dennou.org>
Description: 
 cmigemo    - Japanese incremental search tool written in C - binary
 cmigemo-common - Japanese incremental search tool written in C - common files
 libmigemo-dbg - Japanese incremental search tool written in C - detached debuggin
 libmigemo-dev - Japanese incremental search tool written in C - development binar
 libmigemo1 - Japanese incremental search tool written in C - library
 migemo     - Transitional package for migemo
 migemo-el  - Japanese incremental search with Romaji on Emacsen
 vim-migemo - VIM plugin for C/Migemo
Closes: 679756
Changes: 
 cmigemo (20110227-6) unstable; urgency=low
 .
   * Fix upgrade/transition from 'migemo'.
    - Change install destination for smooth upgrade,
      Thanks to Andreas Beckmann. (Closes: #679756)
Checksums-Sha1: 
 27898e990675fdb89782d68224a40674c1fa08f8 2208 cmigemo_20110227-6.dsc
 74efedf0f20e7aaed237276641aafc2111af0c28 20478 cmigemo_20110227-6.debian.tar.gz
 e7e351c735e1cf5dbd6e8b25d4850a074cb2bb7b 5014 vim-migemo_20110227-6_all.deb
 32e3ba5a16fe51f4976eeffaaea454c85768ae49 26198 cmigemo-common_20110227-6_all.deb
 cb3bc49fa36005ad2f559753001694d4e1e6348b 11518 migemo-el_20110227-6_all.deb
 022a5bf68d0a52dc17dddeb9769974430255455e 9480 cmigemo_20110227-6_amd64.deb
 02a2abc142b82a574999c870573c7532c8af1fcf 17708 libmigemo1_20110227-6_amd64.deb
 5417634f9f41d3c74dd84336d5213f88b0cbaab1 18106 libmigemo-dev_20110227-6_amd64.deb
 aeca6e65a5694b146974b5c12b81c83ade155789 41424 libmigemo-dbg_20110227-6_amd64.deb
 f1123014faf433d33630502cc1953459ab48f321 3940 migemo_20110227-6_all.deb
Checksums-Sha256: 
 c6b33a15afa9db951f9d2fa6f90e67118cd80937d0685ebf22588c4264083aeb 2208 cmigemo_20110227-6.dsc
 8bc2f7a4dedcf77ef9f4631251971051b905c694baaa0f0d0b1ca6c5e51af676 20478 cmigemo_20110227-6.debian.tar.gz
 3a98c34460be11f932b33a8677c761b3019621b2ee10e5020e558932a82431d3 5014 vim-migemo_20110227-6_all.deb
 ec15fb060259f38151bded5eecc7399ebe54bdec4f17c0920e48c527290916b0 26198 cmigemo-common_20110227-6_all.deb
 7bb32fd8e6c3b19e1b2992b2905a17cf50942ef6e185b73be256d239c703103c 11518 migemo-el_20110227-6_all.deb
 9886f5ff852ebf0e13f3630c9db0f3a529a73fd1490ce9bfc29a11f14a915392 9480 cmigemo_20110227-6_amd64.deb
 97d09a612042a783b4ceeca8f52a48c8f1a7acb48e8120bbe779cef2f2020891 17708 libmigemo1_20110227-6_amd64.deb
 b2190045d74d73cbdee7754cc52946c1952def4e55337cb5b994bd649073e856 18106 libmigemo-dev_20110227-6_amd64.deb
 f1d48dd1582b7a68c642211dc53030f6f910f0586f33c695b74fa7d825cdc0d7 41424 libmigemo-dbg_20110227-6_amd64.deb
 48610a5670346764b3a1adaa4f09703aac39437aa32c7eb20a57b84566a9834d 3940 migemo_20110227-6_all.deb
Files: 
 6eaecaac0bfb9e790888c6d988f9db6f 2208 utils optional cmigemo_20110227-6.dsc
 40900648ba06a076efa2458a655f1dc4 20478 utils optional cmigemo_20110227-6.debian.tar.gz
 52eb168a50dbdbfaea83e1187cbf67c4 5014 utils optional vim-migemo_20110227-6_all.deb
 68102d6e87b4a381758760d414b080f8 26198 utils optional cmigemo-common_20110227-6_all.deb
 2c24b4dba42ca76d0557886a69de8e2a 11518 utils optional migemo-el_20110227-6_all.deb
 fe3c0df6968caf369d1ad6de10984df5 9480 utils optional cmigemo_20110227-6_amd64.deb
 68f4920059b39f8c1ea516410edfea67 17708 libs optional libmigemo1_20110227-6_amd64.deb
 a5427e107ae97eb660458d4bb784b0a2 18106 libdevel optional libmigemo-dev_20110227-6_amd64.deb
 a89d25a3eac16cda072435b76f6143fe 41424 debug extra libmigemo-dbg_20110227-6_amd64.deb
 96d6e5c5aa5d48d58bcfe2c4cb689d18 3940 oldlibs extra migemo_20110227-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJP8cP4AAoJEJOU81SJHX4HEKYQAIcH6GAUaJ54gm6PWXxdwWEX
vjGTL61XB5LarGewYgPg49t5rEuNs+KX9N3QsIbMWdylIXjS2PypteMbgzk8hGAo
OV0eucZjbvID/YqSZ7u+dx4vPOsEE9xxZL3ZZF9pWsEmBGmzqXHl7you2RNEg3XA
4GXeFTen+gCGkqKIG5NtJGgsui0fYzGWWF/R5KfOAk7VKrMuaWrwWlSBhGhftmv0
bQing3ZiVPSA3SJhWc6Pyv/LHyxChlQn7ytDw3wd0ZuEwdE4Yzt2CzsqN4AIH2jj
JvXEKjPkCVsWDanfMeBa+FJ2Wjr5Mm36Ta5SVruyhvH6KpX81KzG+7n9qNpHwFY0
Jj8BsL0kgR/oXnFduTnk43ASr+XBmKQFb2tEtQn6QgDOGgLqzaZiIXnqCzHP+k9j
aP+Smppz6JkcF7M+7c1DqPvYGgQUVwjB1uZB6IdQm1frqqBTrTlQF3NYxtrJVW3+
q9fU43ItS3WrGo0/eSVFVwftrxz0NcoBCjjuYhBn29fsFiWeTsGukwBmrv8bZttA
JBjsm7g+jdnEKasznlLrQ2Fi5Dwte1iY22ZTgdSrWC9Tj3+K1v4wZbUVbnb/vAeU
wcqlxyXEjCt3LQf4upsVGoD6p+WZNAVpTwl5AfYCdvYL4R/Nwl9lBsu4qyDAWiT7
lYxbwUMqQ4VFiDc3VpYr
=1wKh
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 Aug 2012 07:27:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:47:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.